# Generated by Django 5.0.6 on 2024-06-04 10:42

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("management", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="apartment",
            name="tariff",
            field=models.ForeignKey(
                default=1,
                help_text="Тариф",
                on_delete=django.db.models.deletion.SET_DEFAULT,
                to="management.tariff",
            ),
        ),
        migrations.CreateModel(
            name="ApartmentBills",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "water",
                    models.DecimalField(
                        decimal_places=2, help_text="Водоснабжение", max_digits=20
                    ),
                ),
                (
                    "maintenance",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Содержание общего имущества",
                        max_digits=20,
                    ),
                ),
                ("date", models.DateField(help_text="Дата счета")),
                (
                    "apartment",
                    models.ForeignKey(
                        help_text="Квартира",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="management.apartment",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="CounterData",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date", models.DateField(help_text="Дата показания")),
                (
                    "counter",
                    models.ForeignKey(
                        help_text="Счетчик",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="management.counter",
                    ),
                ),
            ],
        ),
    ]
